Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk update variant prices

Updates existing variant prices in bulk with partial data. Accepts up to 100 price items to update specific fields such as amount, sale price, reference price, status, and sale date ranges. Only provided fields will be updated.

PATCH/api/v1/{team_slug}/{app_slug}/variants/prices/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Prices data

pricesinternal_pkg_webserver_v1.BulkPatchPriceItem[]required
max items 50
Show properties
Array of internal_pkg_webserver_v1.BulkPatchPriceItem
amount_cents_with_taxinteger
min 0
idstringrequired
on_saleboolean
reference_price_with_taxinteger
min 0
sale_end_timestampstring
sale_price_with_taxinteger
min 0
sale_start_timestampstring
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
Responses
200

Prices updated successfully

datainternal_pkg_webserver_v1.BulkPatchPricesResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkPatchFailedUpdate[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkPatchFailedUpdate
idstring
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup
amount_cents_with_taxinteger
created_atstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
on_saleboolean
reference_price_with_taxinteger | null
sale_end_timestampstring | null
sale_price_with_taxinteger | null
sale_start_timestampstring | null
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
store_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroup
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
namestring
slugstring
store_typestring
updated_atstring | null
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/variants/prices/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "prices": [
    {
      "amount_cents_with_tax": 0,
      "id": "string",
      "on_sale": true,
      "reference_price_with_tax": 0,
      "sale_end_timestamp": "string",
      "sale_price_with_tax": 0,
      "sale_start_timestamp": "string",
      "status": "active"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "amount_cents_with_tax": 0,
        "created_at": "string",
        "id": "string",
        "market": {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        },
        "on_sale": true,
        "reference_price_with_tax": 0,
        "sale_end_timestamp": "string",
        "sale_price_with_tax": 0,
        "sale_start_timestamp": "string",
        "status": "active",
        "store_group": {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}